Skip to main content
POST
/
v2
/
supplier_invoices
/
{id}
/
unmark_as_paid
Unmark a supplier invoice as paid
curl --request POST \
  --url https://thirdparty.qonto.com/v2/supplier_invoices/{id}/unmark_as_paid \
  --header 'Authorization: Bearer <token>'
{
  "id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
  "is_einvoice": false,
  "has_discrepancies": false,
  "organization_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
  "file_name": "my-invoice.pdf",
  "status": "to_review",
  "source_type": "email",
  "created_at": "2022-03-04T17:58:30+02:00",
  "updated_at": "2022-03-04T17:58:30+02:00",
  "attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "declined_note": "",
  "e_invoice_type": "zugferd",
  "has_duplicates": false,
  "invoice_number": "QONTO-JAN-2022",
  "supplier_name": "McDonald's",
  "vat_number": "IT12345678901",
  "tin": "1234567890",
  "description": "This is an invoice for Ronald!",
  "total_amount": {
    "value": "22.10",
    "currency": "EUR"
  },
  "total_amount_excluding_taxes": {
    "value": "18.42",
    "currency": "EUR"
  },
  "total_tax_amount": {
    "value": "3.68",
    "currency": "EUR"
  },
  "taxes": [
    {
      "tax_amount": {
        "value": "3.68",
        "currency": "EUR"
      },
      "tax_rate": "0.20"
    }
  ],
  "issue_date": "2022-03-01",
  "due_date": "2022-03-01",
  "payment_date": "2022-03-01",
  "scheduled_date": "2022-03-01",
  "iban": "FR1420041010050500013M02606",
  "initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source": "email_forward",
  "is_attachment_invoice": true,
  "attachment_category": "INVOICE",
  "is_attachment_non_financial": true,
  "analyzed_at": "2022-03-04T17:58:30+02:00",
  "matched_transactions_ids": [
    "4d5418bb-bd0d-4df4-865c-c07afab8bb48"
  ],
  "matched_transactions": [
    {
      "subject_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
      "subject_type": "transfer",
      "transaction_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48"
    }
  ],
  "transfer_ids": [
    "4d5418bb-bd0d-4df4-865c-c07afab8bb48"
  ],
  "request_transfer": {
    "id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
    "initiator_id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48"
  },
  "einvoicing_lifecycle_events": [
    {
      "status_code": 200,
      "reason": "DOUBLE FACTURE",
      "reason_message": "I already received this invoice",
      "timestamp": "2024-12-04T11:05:16.4497Z"
    }
  ],
  "meta": {
    "integration_type": "amazon",
    "connector": "grover",
    "accounting_recorded_at": "2023-11-07T05:31:56Z",
    "accounting_recorded_source": "regate"
  },
  "available_actions": {
    "delete": true,
    "archive": true,
    "unarchive": true,
    "pay": true,
    "reasons": {
      "pay": [
        "is_credit_note"
      ],
      "delete": [
        "invalid_status"
      ],
      "archive": [
        "invalid_status"
      ],
      "unarchive": [
        "invalid_status"
      ]
    }
  },
  "approval_workflow": {
    "approver_ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "supplier_invoice_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "verified_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "last_approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "payable_amount": {
    "value": "22.10",
    "currency": "EUR"
  },
  "total_amount_credit_notes": {
    "value": "22.10",
    "currency": "EUR"
  },
  "is_credit_note": false,
  "has_suggested_credit_notes": false,
  "related_invoices": [
    {
      "id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
      "invoice_number": "QONTO-JAN-2022",
      "total_amount": {
        "value": "22.10",
        "currency": "EUR"
      },
      "attachment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_name": "my-invoice.pdf"
    }
  ],
  "suggested_transactions": [
    {
      "id": "4d5418bb-bd0d-4df4-865c-c07afab8bb48",
      "score": "0.8"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string<uuid>
required

The ID of the supplier invoice to unmark as paid

Response

The supplier invoice

id
string<uuid>
required
Example:

"4d5418bb-bd0d-4df4-865c-c07afab8bb48"

is_einvoice
boolean
required

indicates if the invoice is an e-invoice, currently ONLY for the German organizations

Example:

false

has_discrepancies
boolean
required
Example:

false

organization_id
string<uuid>
required
Example:

"4d5418bb-bd0d-4df4-865c-c07afab8bb48"

file_name
string
required
Example:

"my-invoice.pdf"

status
required

Initial status for invoices.

Allowed value: "to_review"
Example:

"to_review"

source_type
enum<string>
required
Available options:
email,
e_invoicing,
direct_upload
Example:

"email"

created_at
string
required
Example:

"2022-03-04T17:58:30+02:00"

updated_at
string
required
Example:

"2022-03-04T17:58:30+02:00"

attachment_id
string<uuid>
required
display_attachment_id
string<uuid>
required
declined_note
string
default:""
required

Note specified when invoice was archived

e_invoice_type
enum<string>
Available options:
zugferd,
xrechnung
Example:

"zugferd"

has_duplicates
boolean
Example:

false

invoice_number
string
Example:

"QONTO-JAN-2022"

supplier_name
string
Example:

"McDonald's"

vat_number
string | null

VAT number of the invoice issuer

Example:

"IT12345678901"

tin
string | null

Tax Identification Number (TIN) of the invoice issuer

Example:

"1234567890"

description
string
Example:

"This is an invoice for Ronald!"

total_amount
object
total_amount_excluding_taxes
object
total_tax_amount
object
taxes
object[] | null

Individual tax entries on the invoice

issue_date
string
Example:

"2022-03-01"

due_date
string
Example:

"2022-03-01"

payment_date
string
Example:

"2022-03-01"

scheduled_date
string
Example:

"2022-03-01"

iban
string
Example:

"FR1420041010050500013M02606"

initiator_id
string<uuid>
source
enum<string>
Available options:
email_forward,
e_invoicing,
supplier_invoices,
pay_by_invoice,
integration,
regate,
generic_upload,
pay_later
Example:

"email_forward"

is_attachment_invoice
boolean
attachment_category
enum<string>

The category of the attachment

Available options:
INVOICE,
EXPENSE_RECEIPT,
CARD_RECEIPT,
CREDIT_CARD_RECEIPT,
CREDIT_NOTE,
OTHER_FINANCIAL_DOCUMENT,
OTHER_NON_FINANCIAL_DOCUMENT,
UNKNOWN
Example:

"INVOICE"

is_attachment_non_financial
boolean
analyzed_at
string
Example:

"2022-03-04T17:58:30+02:00"

matched_transactions_ids
string<uuid>[]
deprecated

Deprecated: This field contains transfer IDs, not transaction IDs. Use matched_transactions instead.

matched_transactions
object[] | null

Array of payments (transfers/transactions) linked to this invoice

transfer_ids
(string<uuid> | null)[]

IDs of the transfer payments associated with this invoice, if any

Example:

"4d5418bb-bd0d-4df4-865c-c07afab8bb48"

request_transfer
object
einvoicing_lifecycle_events
object[]
meta
object
available_actions
object

Available actions for the invoice

approval_workflow
object
payable_amount
object
total_amount_credit_notes
object
is_credit_note
boolean
Example:

false

has_suggested_credit_notes
boolean
Example:

false

suggested_transactions
object[] | null

suggested transactions for the invoice